package com.retdata.yaoyibi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.retdata.yaoyibi.domain.*;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface CsoSysUserService extends IService<CsoSysUser> {
    Page<CsoSysUserSearchDto> search(CsoSysUserSearchParams searchParams, Pageable pageable);

    CsoSysUserDetailDto getDetailById(Integer userId);

    List<CsoSysDeptSummary> listDeptSummary();

    List<WmDaDrugEnt> listDrugEnt();
}
